Bug 1449867 - [GSS] glusterd fails to start
Summary: [GSS] glusterd fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard: rebase
Depends On: 1472267 1482835
Blocks: RHGS-3.4-GSS-proposed-tracker 1482844 1482857 1503135
TreeView+ depends on / blocked
 
Reported: 2017-05-11 02:19 UTC by Oonkwee Lim_
Modified: 2018-09-17 13:19 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Bug Fix
Doc Text:
Earlier in case of a node reboot, if the network interface takes time to come up before glusterd service, glusterd used to fail to resolve the brick addresses which belong to different peers resulting glusterd service to fail to come up. With this fix, even though the network interface is in process of coming up, glusterd will not fail to come up.
Clone Of:
: 1472267 1482844 1482857 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:32:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:33:53 UTC
Red Hat Bugzilla 1369420 None None None Never

Internal Links: 1369420

Comment 14 Samikshan Bairagya 2017-07-26 10:40:26 UTC
Upstream patch: https://review.gluster.org/#/c/17813/

Comment 18 Bala Konda Reddy M 2018-05-03 12:07:37 UTC
Build: 3.12.2-8

Stop glusterd and bring down the NIC of the machine.(ifdown <interface>)
Now started glusterd and without any issues, glusterd is able to start.

Marking it to verified according to comment 14

Comment 20 errata-xmlrpc 2018-09-04 06:32:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.